Anonymous Login
2019-07-19 17:50 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000911Pending RequestsEmailspublic2016-12-26 10:25
Reporteropto 
Assigned To 
PriorityurgentSeverityfeatureReproducibilityhave not tried
StatusfeedbackResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000911: email enhancement
Descriptionadd: view-URL (already present)

edit-URL
task log URL

priority
user priority (!!!)

the first three reduce the amount of clicking on the website if the actions are desired

also, add project URL to project name
TagsNo tags attached.
Attached Files

-Relationships
parent of 0000276new More informations in notification mails (kind of major for us) 
related to 0000975closedcaseydk Checkbox in ProjectDesigner to Notify Assignees of Task(s) by Email 
child of 0000154new Hard-coded System Parameters 
child of 0000105assignedcaseydk Email Templating 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0002103

caseydk (administrator)


I agree with all of them except edit-URL because it is quite likely that the user won't be able to edit it. So now we give them a link that generates an Access Denied error.

The rest make sense.

~0002106

opto (manager)

agreed - we would want it because of our internal structures - so eventually that really calls for customizable email.

thanks,

Klaus

~0002107

w2p_user (reporter)

If we can customise e-mails, that would be of greater help. As of now, the name of the parent task is not included in the child task. This is causing confusions especially when the sub-tasks are the same for different parent tasks.
For Eg.
Parent task is Bug#xyz
Child task1 is "Reproducing issue"
Child task2 is "Impact Analysis"
child task3 is "coding"

The child tasks will be the same for different parent tasks.
It would be helpful if we can add the name of the parent task also in the e-mail.

~0002108

opto (manager)

so as a first workaround solution:

can the script include a file, and we put our customisation code or even all notification code in there?

then we can update w2p, just omit this file and always have our preferred email message

~0002109

caseydk (administrator)

The class - classes/w2p/Output/EmailManager.class.php - is an attempt to do just that. I see it working out as three steps:

- First, collect all the email, etc templates to one place (that classes);
- Next, flesh out a token-based replacement system when we can take a template and feed in the data and get a correct email out;
- Finally, move all the email templates into the database and build a simple interface for editing them in the admin.

If you guys could help with the first two steps, it would be greatly appreciated.

~0002134

w2p_user (reporter)

Well, that should not be a problem. How would you want me to proceed ? I mean in what format do i need to collect the data ?

~0002136

caseydk (administrator)

If you find all the other files where emails are lurking, that would be a good start. Just include their paths on this ticket.

~0002137

caseydk (administrator)

Actually, instead of on this thread, attach them to 0000910. That's a better fit.
+Notes

-Issue History
Date Modified Username Field Change
2011-07-31 11:37 opto New Issue
2011-08-01 14:59 caseydk Note Added: 0002103
2011-08-01 14:59 caseydk Status new => feedback
2011-08-01 22:30 opto Note Added: 0002106
2011-08-03 05:25 w2p_user Note Added: 0002107
2011-08-03 06:21 opto Note Added: 0002108
2011-08-03 07:04 caseydk Note Added: 0002109
2011-08-06 19:37 caseydk Project v2.4 Release (Closed) => Pending Requests
2011-08-09 06:24 w2p_user Note Added: 0002134
2011-08-09 12:49 caseydk Note Added: 0002136
2011-08-09 12:49 caseydk Project Pending Requests => v3.0 Release
2011-08-09 12:50 caseydk Relationship added child of 0000154
2011-08-09 12:51 caseydk Note Added: 0002137
2011-11-12 16:59 caseydk Project v3.0 Release => v3.1 Release
2013-09-08 22:22 caseydk Priority normal => urgent
2013-09-08 22:24 caseydk Relationship added related to 0000975
2013-09-08 22:25 caseydk Relationship added parent of 0000276
2013-09-08 22:25 caseydk Relationship added child of 0000105
2013-11-27 20:40 caseydk Project v3.1 Release => v3.2 Release
2014-01-01 17:28 caseydk Project v3.2 Release => v4.0 Release (Planning)
2014-01-21 17:57 caseydk Target Version => 4.0
2014-03-30 22:14 caseydk Category General => Emails
2016-12-26 10:25 caseydk Project v4.0 Release (Planning) => Pending Requests
+Issue History